%{?nodejs_find_provides_and_requires}

%global packagename spdy-transport
%global enable_tests 1

Name:		nodejs-spdy-transport
Version:	2.0.20
Release:	1%{?dist}
Summary:	SPDY v2, v3, v3.1 and HTTP2 transport

License:	MIT
URL:		https://github.com/spdy-http2/spdy-transport
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(debug)
BuildRequires:	npm(detect-node)
BuildRequires:	npm(hpack.js)
BuildRequires:	npm(obuf)
BuildRequires:	npm(readable-stream)
BuildRequires:	npm(safe-buffer)
BuildRequires:	npm(wbuf)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(async)
BuildRequires:	npm(stream-pair)
%endif

%description
SPDY v2, v3, v3.1 and HTTP2 transport


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
# create license file from README.md
tail -n 30 README.md | head -n 25 > LICENSE

%nodejs_fixdep debug
%nodejs_fixdep readable-stream

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec test/**/*-test.js test/**/**/*-test.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 24 2017 Jared Smith <jsmith@fedoraproject.org> - 2.0.20-1
- Initial packaging
